Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Plotstiltabelle wechseln

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Plotstiltabelle wechseln (1113 mal gelesen)
mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 20. Aug. 2004 07:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Lisp-Fans

In dem Layermanager kann man ja auch den Plotstil angeben. Wir verwenden dazu eine Plotstiltabelle z.B "a.stb".
In den Optionen unter Benannten Plotstile ist die auch als Vorgabe eingetragen.
Nun habe ich Pläne in denen ich die gleichen Plotstile verwende aber damals hieß die Plotstildatei anders z.B "b.stb".
Wenn ich nun mit command einen neuen Layer erstelle und den Plotstil z.B. "Farbe_1" angebe, gibt es eine Fehlermeldung da ACAD den Plotstil nicht mehr in der Datei "b.stb" findet, da die Datei nicht mehr existiert, aber ja noch die aktuelle Plotstildatei ist.
Wenn man im Layermanager die Plotstiltabelle bei einem Layer wechselt gibt es keine Probleme mehr, da ACAD dann den Stil "Farbe_1" in der Datei "a.stb" findet.
Wie kann man abfragen welcher Plotstil gerade aktuell ist, bzw wie kann man den wechseln.
Nur das wechseln in den Optionen unter Benannte Plotstile reicht leider nicht.
Hoffe ich habe mich verständlich ausgedrückt, sonst bastel ich noch eine Beispielzeichnung.

------------------
  Martin 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13388
Registriert: 30.11.2003

.

erstellt am: 20. Aug. 2004 08:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für mkl-cad 10 Unities + Antwort hilfreich

Zuerst (vl-loaad-com)
und dann:

Auslesen ob Farb/oder Benannte Plotstile:
(vla-get-PlotPolicy(vla-get-output(vla-get-preferences(vlax-get-acad-object))))

Aktuelle Plotstiltabelle auslesen:
(vla-get-StyleSheet(vla-get-activelayout(vla-get-activedocument(vlax-get-acad-object))))

Plotstil des Objektes auslesen
(vla-get-PlotStyleName(vlax-ename->vla-object(car(entsel))))
Plotstil des Objektes setzen z.B.
(vla-put-PlotStyleName(vlax-ename->vla-object(car(entsel)))"FARBE_1")

------------------
- Thomas -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 20. Aug. 2004 08:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Vielen Dank für die schnelle Antwort. Mir fehlt jetzt nur noch das setzten des aktuellen plotstils

(vla-put-StyleSheet(vla-get-activelayout(vla-get-activedocument(vlax-get-acad-ob
ject))) "xyz.stb")

funktioniert nicht (kenn mich mit in diesem Bereich nicht aus)
Thomas kannst du mir das noch umtexten. Danke

------------------
  Martin 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

mkl-cad
Mitglied
Technischer Zeichner


Sehen Sie sich das Profil von mkl-cad an!   Senden Sie eine Private Message an mkl-cad  Schreiben Sie einen Gästebucheintrag für mkl-cad

Beiträge: 378
Registriert: 23.07.2003

ACAD 2002
Express Tools 1-9
Architektural Desktop
Windows XP
Server Windows 2003
3 GHz Rechner
1 GB RAM
80 GB Festplatte
ATI FireGL V3100
2 17" Flachbildschirme

erstellt am: 20. Aug. 2004 10:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hab den gleichen Befehl:

(vla-put-StyleSheet
  (vla-get-ActiveLayout
    (vla-get-ActiveDocument
      (vlax-Get-Acad-Object)
    )
  )
  "monochrome.ctb"  ;; umbenennen in stb
)

in einem anderen Beitrag gefunden. Funktioniert aber nicht. Bekomme Fehlermeldung:

; Fehler: Automatisierungsfehler Ungültige Eingabe

Woran kann das liegen?

------------------
  Martin 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz